%define iname songwrite

Name:		songwrite2
Version:	0.4.1
Release:	%mkrel 7
Summary:    	Guitar tabulature editor with playing and printing
License:	GPLv2
Group:		Sound/Midi
URL:        	http://home.gna.org/oomadness/en/songwrite

Source0:     	http://download.gna.org/songwrite/Songwrite2-%{version}.tar.gz

%py_requires -d
BuildRequires:  imagemagick
Requires:	editobj2
Requires:       hicolor-icon-theme
requires:	mimehandler(application/pdf)
Suggests:       TiMidity++

BuildArch:	noarch
Obsoletes:	songwrite

%description
Songwrite2 is a tablature (guitar partition) editor. It's the successor of songwrite.
Songwrite2 is coded in Python and uses Tk (Tkinter); it relies on Timidity to
play midi and on GNU Lilypond for printing. 

%prep
%setup -q -n Songwrite2-%version

%build
#only to fix rpmlint's warning

%install
python setup.py install --root=%{buildroot}

#icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
convert -scale 16 data/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{iname}.png
convert -scale 32 data/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{iname}.png
convert -scale 48 data/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{iname}.png
convert -scale 64 data/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{iname}.png

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{iname}.desktop << EOF
[Desktop Entry]
Name=Songwrite2
Comment=Guitar TAB editor
Exec=%{_bindir}/%{name}
Icon=%{iname}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%find_lang %name

# remove unpackaged files
rm -f %{buildroot}%{_datadir}/locale/*/*/*.po


%files -f %name.lang
%doc README CHANGES AUTHORS 
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%{_real_vendor}-%{iname}.desktop
%{_iconsdir}/hicolor/*/apps/%{iname}.png
%{_datadir}/*.egg-info
%{_mandir}/man1/songwrite2.1.xz




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-7.mga4
+ Revision: 544445
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-6.mga4
+ Revision: 499887
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.4.1-5.mga3
+ Revision: 382326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.4.1-4.mga3
+ Revision: 336219
- changed group in line with new policy

* Fri Oct 21 2011 obgr_seneca <obgr_seneca> 0.4.1-3.mga2
+ Revision: 157178
- timidity is only a suggest
- require application handler for pdf

* Tue Oct 18 2011 obgr_seneca <obgr_seneca> 0.4.1-2.mga2
+ Revision: 156214
- removed unneeded %%post and %%postun section
- renamed icon files
- Added icons

* Mon Sep 19 2011 obgr_seneca <obgr_seneca> 0.4.1-1.mga2
+ Revision: 145405
- new version 0.4.1

  + kharec <kharec>
    - imported package songwrite2


* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 0.2.1-3mdv2011.0
+ Revision: 591341
- rebuild for py 2.7

* Sun Apr 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.2.1-2mdv2010.1
+ Revision: 536484
- fix requires (with importation of editobj2)
- add an obsoletes on songwrite

* Sun Apr 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 536444
- new version 0.2.1

* Sun Apr 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.2-2mdv2010.1
+ Revision: 536208
- fix summary
- add a build section for fix a rpmlint's warning
- use %%py_requires

* Sun Apr 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.2-1mdv2010.1
+ Revision: 536173
- try to fix rebuild with an additional BR
- fix BR
- import songwrite2


